Bug 1993490 - CVE-2021-37695 ckeditor: fake objects feature vulnerability allowing to execute JavaScript code using malformed HTML [epel-7]
Summary: CVE-2021-37695 ckeditor: fake objects feature vulnerability allowing to execu...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ckeditor
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-37695
TreeView+ depends on / blocked
 
Reported: 2021-08-13 13:35 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-09-29 01:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-08-13 13:35:09 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Guilherme de Almeida Suckevicz 2021-08-13 13:35:11 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1993488,1993490

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Admin user for bugzilla script actions 2021-08-31 00:04:43 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Admin user for bugzilla script actions 2021-09-08 12:09:01 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 4 Fedora Update System 2021-09-21 02:29:29 UTC
FEDORA-2021-72176a63a8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-72176a63a8

Comment 5 Fedora Update System 2021-09-21 02:29:50 UTC
FEDORA-2021-87578dca12 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-87578dca12

Comment 6 Fedora Update System 2021-09-21 02:30:13 UTC
FEDORA-2021-51457da891 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-51457da891

Comment 7 Fedora Update System 2021-09-21 02:30:34 UTC
FEDORA-EPEL-2021-2f9b2cf4af has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-2f9b2cf4af

Comment 8 Fedora Update System 2021-09-21 15:23:56 UTC
FEDORA-2021-72176a63a8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-72176a63a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-72176a63a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-21 15:31:42 UTC
FEDORA-EPEL-2021-2f9b2cf4af has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-2f9b2cf4af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-21 16:08:22 UTC
FEDORA-2021-87578dca12 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-87578dca12`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-87578dca12

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-21 18:52:18 UTC
FEDORA-2021-51457da891 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-51457da891`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-51457da891

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-24 20:32:06 UTC
FEDORA-2021-51457da891 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-09-29 00:48:52 UTC
FEDORA-EPEL-2021-2f9b2cf4af has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-09-29 01:08:40 UTC
FEDORA-2021-72176a63a8 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-09-29 01:09:01 UTC
FEDORA-2021-87578dca12 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.